#
# spec file for package python-altgraph
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-altgraph
Version:        0.17.4
Release:        1.4
Summary:        Python graph (network) package
License:        MIT
URL:            https://github.com/ronaldoussoren/altgraph/
Source:         https://files.pythonhosted.org/packages/source/a/altgraph/altgraph-%{version}.tar.gz
BuildRequires:  %{python_module Sphinx}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Altgraph is a fork of graphlib: a graph (network) package for constructing
graphs, BFS and DFS traversals, topological sort, shortest paths, etc. with
graphviz output.

%package     -n %{name}-doc
Summary:        Documentation for %{name}
Provides:       %{python_module altgraph-doc = %{version}}

%description -n %{name}-doc
Altgraph is a fork of graphlib: a graph (network) package for constructing
graphs, BFS and DFS traversals, topological sort, shortest paths, etc. with
graphviz output.

%prep
%setup -q -n altgraph-%{version}

%build
%python_build
cd doc && make html

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%files -n %{name}-doc
%doc doc/_build/html/
%license LICENSE

%changelog
* Wed Oct  4 2023 Dirk Müller <dmueller@suse.com>
- update to 0.17.4:
  * python 3.12 support
* Sat Jun 10 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Wed Oct 12 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 0.17.3
  * Update classifiers for Python 3.11
* Mon May  2 2022 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to 0.17.2
  * Remove deprecated U prefix, fixes Python 3.9
  * Explicitly mark python 3.10 as supported
* Mon May 17 2021 pgajdos@suse.com
- use %%pytest macro
* Fri Apr 17 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 0.17
  * Explicitly mark Python 3.8 as supported in wheel metadata.
  * Migrate from Bitbucket to GitHub
  * Run black on the entire repository
* Thu Nov  7 2019 Matej Cepl <mcepl@suse.com>
- Run through spec-cleaner
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri Nov 16 2018 Todd R <toddrme2178@gmail.com>
- Update to version 0.16.1
  * Explicitly mark Python 3.7 as supported in wheel metadata.
- Update to version 0.16
  * Add LICENSE file
* Thu May 24 2018 toddrme2178@gmail.com
- Update to version 0.15
  * ObjectGraph.get_edges, ObjectGraph.getEdgeData and ObjectGraph.updateEdgeData accept None as the node to get and treat this as an alias for self (as other methods already did).
- Spec file cleanups
* Thu Oct 19 2017 toddrme2178@gmail.com
- Initial version
